<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14460.31" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="B73-Qp-0NJ">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14460.20"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="SFUIDisplay-Medium.otf">
            <string>SFUIDisplay-Medium</string>
        </array>
        <array key="SFUIDisplay-Semibold.otf">
            <string>SFUIDisplay-Semibold</string>
        </array>
    </customFonts>
    <scenes>
        <!--AuthVC-->
        <scene sceneID="oOe-Df-pAY">
            <objects>
                <viewController id="wFO-gS-OT6" customClass="AuthVC" customModule="GBShop" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="ptf-Al-gec">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="background" translatesAutoresizingMaskIntoConstraints="NO" id="wIv-jI-TN9">
                                <rect key="frame" x="0.0" y="217" width="375" height="484"/>
                            </imageView>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="UE3-kM-kXF" customClass="HeaderView" customModule="GBShop" customModuleProvider="target">
                                <rect key="frame" x="0.0" y="64" width="375" height="153"/>
                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            </view>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="MFE-K2-yIB" customClass="RoundButtonWithShadow" customModule="GBShop" customModuleProvider="target">
                                <rect key="frame" x="15" y="550" width="345" height="60"/>
                                <color key="backgroundColor" name="GreenColor"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="60" id="COU-PK-3nS"/>
                                </constraints>
                                <fontDescription key="fontDescription" name="SFUIDisplay-Semibold" family="SF UI Display" pointSize="18"/>
                                <state key="normal" title="Зарегистрироваться">
                                    <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                </state>
                                <connections>
                                    <action selector="registerPressed:" destination="wFO-gS-OT6" eventType="touchUpInside" id="IKv-Cw-two"/>
                                </connections>
                            </button>
                            <stackView opaque="NO" contentMode="scaleToFill" spacing="4" translatesAutoresizingMaskIntoConstraints="NO" id="rGK-1e-jzj">
                                <rect key="frame" x="104.5" y="630" width="166.5" height="17"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Уже есть аккаунт?" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="g78-zW-AEo">
                                        <rect key="frame" x="0.0" y="0.0" width="121.5" height="17"/>
                                        <fontDescription key="fontDescription" name="SFUIDisplay-Medium" family="SF UI Display" pointSize="14"/>
                                        <color key="textColor" name="TextColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="NCw-K6-81O">
                                        <rect key="frame" x="125.5" y="0.0" width="41" height="17"/>
                                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <fontDescription key="fontDescription" name="SFUIDisplay-Semibold" family="SF UI Display" pointSize="14"/>
                                        <state key="normal" title="Войти">
                                            <color key="titleColor" name="DarkTextColor"/>
                                        </state>
                                        <connections>
                                            <action selector="loginPressed:" destination="wFO-gS-OT6" eventType="touchUpInside" id="q19-va-BDK"/>
                                        </connections>
                                    </button>
                                </subviews>
                            </stackView>
                            <imageView userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="credit card" translatesAutoresizingMaskIntoConstraints="NO" id="eLs-ro-CNA">
                                <rect key="frame" x="62" y="144" width="313" height="386"/>
                            </imageView>
                        </subviews>
                        <color key="backgroundColor" name="BackgroundColor"/>
                        <constraints>
                            <constraint firstItem="e3N-H0-hPp" firstAttribute="trailing" secondItem="UE3-kM-kXF" secondAttribute="trailing" id="0zp-8k-hPe"/>
                            <constraint firstItem="MFE-K2-yIB" firstAttribute="leading" secondItem="e3N-H0-hPp" secondAttribute="leading" constant="15" id="Fkh-XO-40Y"/>
                            <constraint firstItem="wIv-jI-TN9" firstAttribute="height" secondItem="ptf-Al-gec" secondAttribute="height" multiplier="589:812" id="Gke-Zz-ke7"/>
                            <constraint firstItem="rGK-1e-jzj" firstAttribute="top" secondItem="MFE-K2-yIB" secondAttribute="bottom" constant="20" id="JJT-oy-N2t"/>
                            <constraint firstItem="e3N-H0-hPp" firstAttribute="bottom" secondItem="rGK-1e-jzj" secondAttribute="bottom" constant="20" id="K9m-HP-1fX"/>
                            <constraint firstItem="e3N-H0-hPp" firstAttribute="trailing" secondItem="wIv-jI-TN9" secondAttribute="trailing" id="Ojj-fe-GfZ"/>
                            <constraint firstItem="MFE-K2-yIB" firstAttribute="top" secondItem="eLs-ro-CNA" secondAttribute="bottom" constant="20" id="QXM-Ip-c8X"/>
                            <constraint firstItem="UE3-kM-kXF" firstAttribute="top" secondItem="e3N-H0-hPp" secondAttribute="top" id="WGe-oD-hgS"/>
                            <constraint firstItem="wIv-jI-TN9" firstAttribute="leading" secondItem="e3N-H0-hPp" secondAttribute="leading" id="ZiK-pZ-73u"/>
                            <constraint firstItem="rGK-1e-jzj" firstAttribute="centerX" secondItem="ptf-Al-gec" secondAttribute="centerX" id="b00-Qd-yx1"/>
                            <constraint firstItem="e3N-H0-hPp" firstAttribute="trailing" secondItem="eLs-ro-CNA" secondAttribute="trailing" id="chh-7Y-L11"/>
                            <constraint firstItem="wIv-jI-TN9" firstAttribute="top" secondItem="UE3-kM-kXF" secondAttribute="bottom" id="dPM-bm-acV"/>
                            <constraint firstItem="UE3-kM-kXF" firstAttribute="leading" secondItem="e3N-H0-hPp" secondAttribute="leading" id="fUx-QG-Lcq"/>
                            <constraint firstItem="eLs-ro-CNA" firstAttribute="top" secondItem="e3N-H0-hPp" secondAttribute="top" constant="80" id="hPS-r0-Ksy"/>
                            <constraint firstItem="e3N-H0-hPp" firstAttribute="bottom" secondItem="wIv-jI-TN9" secondAttribute="bottom" constant="-34" id="kF9-kp-dRW"/>
                            <constraint firstItem="e3N-H0-hPp" firstAttribute="trailing" secondItem="MFE-K2-yIB" secondAttribute="trailing" constant="15" id="wBo-Ao-rwp"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="e3N-H0-hPp"/>
                    </view>
                    <navigationItem key="navigationItem" id="w7p-RB-Cql">
                        <barButtonItem key="backBarButtonItem" title=" " id="4r0-wR-1E1"/>
                    </navigationItem>
                    <connections>
                        <outlet property="registerButton" destination="MFE-K2-yIB" id="t3v-j9-G0v"/>
                        <segue destination="JgT-XK-b1v" kind="show" identifier="registerUser" id="qep-AR-dD3"/>
                        <segue destination="d5r-qP-1ue" kind="show" identifier="loginUser" id="QK1-Xw-rUX"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="b6w-yg-mnk" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1076" y="157.87106446776613"/>
        </scene>
        <!--RegisterVC-->
        <scene sceneID="gpc-WI-bPC">
            <objects>
                <viewController id="JgT-XK-b1v" customClass="RegisterVC" customModule="GBShop" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="CUT-XX-hqn">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <scrollView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="yHe-b0-DVJ">
                                <rect key="frame" x="0.0" y="64" width="375" height="637"/>
                                <subviews>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="oi1-l2-YUC" userLabel="VerticalHack">
                                        <rect key="frame" x="0.0" y="0.0" width="0.0" height="667"/>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <constraints>
                                            <constraint firstAttribute="width" id="Vo5-8f-hPN"/>
                                        </constraints>
                                    </view>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="OiI-oi-Kl2" userLabel="HorizontalHack">
                                        <rect key="frame" x="0.0" y="0.0" width="375" height="0.0"/>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <constraints>
                                            <constraint firstAttribute="height" id="PYJ-88-rW3"/>
                                        </constraints>
                                    </view>
                                    <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="background" translatesAutoresizingMaskIntoConstraints="NO" id="1xT-5N-hW9">
                                        <rect key="frame" x="0.0" y="183" width="375" height="484"/>
                                    </imageView>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="rdy-C2-pLx" customClass="HeaderView" customModule="GBShop" customModuleProvider="target">
                                        <rect key="frame" x="0.0" y="0.0" width="375" height="183"/>
                                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="string" keyPath="title" value=" Регистрация"/>
                                        </userDefinedRuntimeAttributes>
                                    </view>
                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="20" translatesAutoresizingMaskIntoConstraints="NO" id="qVd-sH-RsN">
                                        <rect key="frame" x="0.0" y="203" width="375" height="296"/>
                                        <subviews>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="43t-0K-b8J" customClass="TextFieldView" customModule="GBShop" customModuleProvider="target">
                                                <rect key="frame" x="0.0" y="0.0" width="375" height="80"/>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <constraints>
                                                    <constraint firstAttribute="height" constant="80" id="daf-cr-pvK"/>
                                                </constraints>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="image" keyPath="image" value="user"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="title" value="Имя пользователя"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="hint" value="GeekBrains"/>
                                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSecured" value="NO"/>
                                                </userDefinedRuntimeAttributes>
                                            </view>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="9H5-Qa-1Gm" customClass="TextFieldView" customModule="GBShop" customModuleProvider="target">
                                                <rect key="frame" x="0.0" y="100" width="375" height="88"/>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <constraints>
                                                    <constraint firstAttribute="height" constant="88" id="heG-af-FU3"/>
                                                </constraints>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="image" keyPath="image" value="email"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="title" value="Email адрес"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="hint" value="name@email.com"/>
                                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSecured" value="NO"/>
                                                </userDefinedRuntimeAttributes>
                                            </view>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="elm-px-Sw2" customClass="TextFieldView" customModule="GBShop" customModuleProvider="target">
                                                <rect key="frame" x="0.0" y="208" width="375" height="88"/>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <constraints>
                                                    <constraint firstAttribute="height" constant="88" id="vjB-uJ-6GJ"/>
                                                </constraints>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="image" keyPath="image" value="lock"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="title" value="Пароль"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="hint" value="••••••••"/>
                                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSecured" value="YES"/>
                                                </userDefinedRuntimeAttributes>
                                            </view>
                                        </subviews>
                                    </stackView>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="WdZ-fA-6Om" customClass="RoundButtonWithShadow" customModule="GBShop" customModuleProvider="target">
                                        <rect key="frame" x="188" y="539" width="172" height="60"/>
                                        <color key="backgroundColor" name="BlueColor"/>
                                        <constraints>
                                            <constraint firstAttribute="width" constant="172" id="kNd-8S-Cvi"/>
                                            <constraint firstAttribute="height" constant="60" id="uWP-ry-WR7"/>
                                        </constraints>
                                        <fontDescription key="fontDescription" name="SFUIDisplay-Semibold" family="SF UI Display" pointSize="18"/>
                                        <state key="normal" title="Создать аккаунт">
                                            <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        </state>
                                        <connections>
                                            <action selector="registerPressed:" destination="JgT-XK-b1v" eventType="touchUpInside" id="ch7-dy-eCJ"/>
                                        </connections>
                                    </button>
                                </subviews>
                                <color key="backgroundColor" name="BackgroundColor"/>
                                <constraints>
                                    <constraint firstAttribute="trailing" secondItem="WdZ-fA-6Om" secondAttribute="trailing" constant="15" id="3Bz-w3-DxL"/>
                                    <constraint firstAttribute="trailing" secondItem="rdy-C2-pLx" secondAttribute="trailing" id="7gX-Ho-Owi"/>
                                    <constraint firstItem="rdy-C2-pLx" firstAttribute="leading" secondItem="yHe-b0-DVJ" secondAttribute="leading" id="8sb-G4-fu3"/>
                                    <constraint firstItem="WdZ-fA-6Om" firstAttribute="top" secondItem="qVd-sH-RsN" secondAttribute="bottom" constant="40" id="AcA-rI-wPH"/>
                                    <constraint firstItem="OiI-oi-Kl2" firstAttribute="leading" secondItem="oi1-l2-YUC" secondAttribute="trailing" id="Ahn-Zn-Xis"/>
                                    <constraint firstItem="1xT-5N-hW9" firstAttribute="top" secondItem="qVd-sH-RsN" secondAttribute="top" constant="-20" id="B3z-cl-OZx"/>
                                    <constraint firstItem="oi1-l2-YUC" firstAttribute="top" secondItem="yHe-b0-DVJ" secondAttribute="top" id="IYu-pX-w3s"/>
                                    <constraint firstItem="rdy-C2-pLx" firstAttribute="top" secondItem="yHe-b0-DVJ" secondAttribute="top" id="VWa-XU-iQB"/>
                                    <constraint firstAttribute="trailing" secondItem="qVd-sH-RsN" secondAttribute="trailing" id="XIn-tv-qgy"/>
                                    <constraint firstItem="1xT-5N-hW9" firstAttribute="leading" secondItem="oi1-l2-YUC" secondAttribute="trailing" id="aUd-1k-ZHd"/>
                                    <constraint firstAttribute="trailing" secondItem="OiI-oi-Kl2" secondAttribute="trailing" id="cGa-rC-uyq"/>
                                    <constraint firstAttribute="bottom" secondItem="1xT-5N-hW9" secondAttribute="bottom" id="hmM-du-1hf"/>
                                    <constraint firstItem="OiI-oi-Kl2" firstAttribute="top" secondItem="yHe-b0-DVJ" secondAttribute="top" id="j4F-eE-dY5"/>
                                    <constraint firstAttribute="bottom" secondItem="oi1-l2-YUC" secondAttribute="bottom" id="l2z-f0-7Zw"/>
                                    <constraint firstAttribute="trailing" secondItem="1xT-5N-hW9" secondAttribute="trailing" id="lXE-fu-7hN"/>
                                    <constraint firstItem="oi1-l2-YUC" firstAttribute="leading" secondItem="yHe-b0-DVJ" secondAttribute="leading" id="psn-d4-zoC"/>
                                    <constraint firstItem="qVd-sH-RsN" firstAttribute="leading" secondItem="oi1-l2-YUC" secondAttribute="trailing" id="syY-jb-zg2"/>
                                    <constraint firstItem="1xT-5N-hW9" firstAttribute="top" secondItem="rdy-C2-pLx" secondAttribute="bottom" id="xCf-hy-XO3"/>
                                </constraints>
                            </scrollView>
                        </subviews>
                        <color key="backgroundColor" name="BackgroundColor"/>
                        <constraints>
                            <constraint firstItem="yHe-b0-DVJ" firstAttribute="top" secondItem="AHb-1N-4rA" secondAttribute="top" id="IAw-7q-od4"/>
                            <constraint firstItem="oi1-l2-YUC" firstAttribute="height" secondItem="CUT-XX-hqn" secondAttribute="height" id="JrR-gg-I90"/>
                            <constraint firstItem="AHb-1N-4rA" firstAttribute="bottom" secondItem="yHe-b0-DVJ" secondAttribute="bottom" constant="-34" id="Uhx-mO-SdE"/>
                            <constraint firstItem="yHe-b0-DVJ" firstAttribute="leading" secondItem="AHb-1N-4rA" secondAttribute="leading" id="WDm-6y-NKL"/>
                            <constraint firstItem="OiI-oi-Kl2" firstAttribute="width" secondItem="CUT-XX-hqn" secondAttribute="width" id="WX6-4m-2b1"/>
                            <constraint firstItem="AHb-1N-4rA" firstAttribute="trailing" secondItem="yHe-b0-DVJ" secondAttribute="trailing" id="lGy-Dr-Irz"/>
                            <constraint firstItem="1xT-5N-hW9" firstAttribute="height" secondItem="CUT-XX-hqn" secondAttribute="height" multiplier="589:812" id="wis-Hz-Ez0"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="AHb-1N-4rA"/>
                    </view>
                    <navigationItem key="navigationItem" id="m5q-kf-AD1">
                        <barButtonItem key="backBarButtonItem" title=" " id="abB-J5-HMm"/>
                    </navigationItem>
                    <connections>
                        <outlet property="emailField" destination="9H5-Qa-1Gm" id="eWw-8q-tmR"/>
                        <outlet property="passwordField" destination="elm-px-Sw2" id="IRm-xX-bNG"/>
                        <outlet property="registerButton" destination="WdZ-fA-6Om" id="IiV-Kj-jvc"/>
                        <outlet property="scrollView" destination="yHe-b0-DVJ" id="b33-P9-fjk"/>
                        <outlet property="usernameField" destination="43t-0K-b8J" id="K3m-lD-TsK"/>
                        <segue destination="khH-2h-EgB" kind="show" identifier="login" id="2Jy-Xz-gWk"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="kyM-lD-9HI" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2266.4000000000001" y="-201.94902548725639"/>
        </scene>
        <!--LoginVC-->
        <scene sceneID="2Ng-Nq-tjc">
            <objects>
                <viewController id="d5r-qP-1ue" customClass="LoginVC" customModule="GBShop" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="aKq-Sd-CTZ">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <scrollView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Uuo-B7-EAv">
                                <rect key="frame" x="0.0" y="64" width="375" height="637"/>
                                <subviews>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="pbj-F6-fcW" userLabel="HorizontalHack">
                                        <rect key="frame" x="0.0" y="0.0" width="375" height="0.0"/>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <constraints>
                                            <constraint firstAttribute="height" id="icW-V2-YGw"/>
                                        </constraints>
                                    </view>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="M3X-K8-PBZ" userLabel="VerticalHack">
                                        <rect key="frame" x="0.0" y="0.0" width="0.0" height="667"/>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <constraints>
                                            <constraint firstAttribute="width" id="LIE-Bf-4b4"/>
                                        </constraints>
                                    </view>
                                    <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="background" translatesAutoresizingMaskIntoConstraints="NO" id="aTb-UQ-Xok">
                                        <rect key="frame" x="0.0" y="183" width="375" height="484"/>
                                    </imageView>
                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="20" translatesAutoresizingMaskIntoConstraints="NO" id="sTD-SH-hIC">
                                        <rect key="frame" x="0.0" y="203" width="375" height="180"/>
                                        <subviews>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="A1Q-FS-Dgu" customClass="TextFieldView" customModule="GBShop" customModuleProvider="target">
                                                <rect key="frame" x="0.0" y="0.0" width="375" height="80"/>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <constraints>
                                                    <constraint firstAttribute="height" constant="80" id="eNY-YK-MJf"/>
                                                </constraints>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="image" keyPath="image" value="user"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="title" value="Имя пользователя"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="hint" value="GeekBrains"/>
                                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSecured" value="NO"/>
                                                </userDefinedRuntimeAttributes>
                                            </view>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="TVy-rO-4Ar" customClass="TextFieldView" customModule="GBShop" customModuleProvider="target">
                                                <rect key="frame" x="0.0" y="100" width="375" height="80"/>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <constraints>
                                                    <constraint firstAttribute="height" constant="80" id="n5M-vf-Dl3"/>
                                                </constraints>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="image" keyPath="image" value="lock"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="title" value="Пароль"/>
                                                    <userDefinedRuntimeAttribute type="string" keyPath="hint" value="••••••••"/>
                                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSecured" value="YES"/>
                                                </userDefinedRuntimeAttributes>
                                            </view>
                                        </subviews>
                                    </stackView>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="UFy-ez-jAN">
                                        <rect key="frame" x="15" y="438.5" width="110" height="29"/>
                                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <fontDescription key="fontDescription" name="SFUIDisplay-Semibold" family="SF UI Display" pointSize="14"/>
                                        <state key="normal" title="Забыли пароль?">
                                            <color key="titleColor" name="DarkTextColor"/>
                                        </state>
                                        <connections>
                                            <action selector="forgetPasswordPressed:" destination="d5r-qP-1ue" eventType="touchUpInside" id="3X8-oE-tun"/>
                                            <action selector="loginPressed:" destination="wFO-gS-OT6" eventType="touchUpInside" id="etO-pl-Igl"/>
                                        </connections>
                                    </button>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Yjg-Bt-vFC" customClass="RoundButtonWithShadow" customModule="GBShop" customModuleProvider="target">
                                        <rect key="frame" x="188" y="423" width="172" height="60"/>
                                        <color key="backgroundColor" name="BlueColor"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="60" id="oPf-gN-uk2"/>
                                            <constraint firstAttribute="width" constant="172" id="ypJ-e9-bic"/>
                                        </constraints>
                                        <fontDescription key="fontDescription" name="SFUIDisplay-Semibold" family="SF UI Display" pointSize="18"/>
                                        <state key="normal" title="Вход">
                                            <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        </state>
                                        <connections>
                                            <action selector="loginPressed:" destination="d5r-qP-1ue" eventType="touchUpInside" id="FzU-bt-coZ"/>
                                        </connections>
                                    </button>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Rrt-7O-gdo" customClass="HeaderView" customModule="GBShop" customModuleProvider="target">
                                        <rect key="frame" x="0.0" y="0.0" width="375" height="183"/>
                                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="string" keyPath="title" value="Вход"/>
                                        </userDefinedRuntimeAttributes>
                                    </view>
                                </subviews>
                                <constraints>
                                    <constraint firstItem="UFy-ez-jAN" firstAttribute="leading" secondItem="M3X-K8-PBZ" secondAttribute="trailing" constant="15" id="8gC-GC-Zq5"/>
                                    <constraint firstAttribute="trailing" secondItem="Yjg-Bt-vFC" secondAttribute="trailing" constant="15" id="8zV-qi-Dck"/>
                                    <constraint firstItem="sTD-SH-hIC" firstAttribute="leading" secondItem="M3X-K8-PBZ" secondAttribute="trailing" id="Git-sa-4z7"/>
                                    <constraint firstItem="pbj-F6-fcW" firstAttribute="leading" secondItem="Uuo-B7-EAv" secondAttribute="leading" id="HSL-2n-13w"/>
                                    <constraint firstItem="M3X-K8-PBZ" firstAttribute="top" secondItem="pbj-F6-fcW" secondAttribute="bottom" id="I8f-5q-Zr5"/>
                                    <constraint firstItem="pbj-F6-fcW" firstAttribute="top" secondItem="Uuo-B7-EAv" secondAttribute="top" id="NbN-W1-3e0"/>
                                    <constraint firstAttribute="bottom" secondItem="aTb-UQ-Xok" secondAttribute="bottom" id="OHW-0M-OEv"/>
                                    <constraint firstAttribute="trailing" secondItem="aTb-UQ-Xok" secondAttribute="trailing" id="Pqi-td-5q6"/>
                                    <constraint firstItem="aTb-UQ-Xok" firstAttribute="leading" secondItem="Uuo-B7-EAv" secondAttribute="leading" id="QLv-cp-yfT"/>
                                    <constraint firstItem="Rrt-7O-gdo" firstAttribute="top" secondItem="pbj-F6-fcW" secondAttribute="bottom" id="Skp-xg-cbb"/>
                                    <constraint firstItem="Rrt-7O-gdo" firstAttribute="leading" secondItem="M3X-K8-PBZ" secondAttribute="trailing" id="SmZ-2S-NhF"/>
                                    <constraint firstItem="Yjg-Bt-vFC" firstAttribute="top" secondItem="sTD-SH-hIC" secondAttribute="bottom" constant="40" id="TYf-Zg-OqM"/>
                                    <constraint firstAttribute="trailing" secondItem="Rrt-7O-gdo" secondAttribute="trailing" id="aMZ-TW-S4t"/>
                                    <constraint firstAttribute="bottom" secondItem="M3X-K8-PBZ" secondAttribute="bottom" id="c8u-KF-ihm"/>
                                    <constraint firstItem="M3X-K8-PBZ" firstAttribute="leading" secondItem="Uuo-B7-EAv" secondAttribute="leading" id="cCD-ae-rW3"/>
                                    <constraint firstAttribute="trailing" secondItem="pbj-F6-fcW" secondAttribute="trailing" id="gmv-qj-K8Y"/>
                                    <constraint firstItem="aTb-UQ-Xok" firstAttribute="top" secondItem="Rrt-7O-gdo" secondAttribute="bottom" id="oys-jm-J52"/>
                                    <constraint firstItem="UFy-ez-jAN" firstAttribute="centerY" secondItem="Yjg-Bt-vFC" secondAttribute="centerY" id="q8A-Dr-tYE"/>
                                    <constraint firstItem="aTb-UQ-Xok" firstAttribute="top" secondItem="sTD-SH-hIC" secondAttribute="top" constant="-20" id="rSx-8P-KaN"/>
                                    <constraint firstAttribute="trailing" secondItem="sTD-SH-hIC" secondAttribute="trailing" id="zaw-Bl-S4d"/>
                                </constraints>
                            </scrollView>
                        </subviews>
                        <color key="backgroundColor" name="BackgroundColor"/>
                        <constraints>
                            <constraint firstItem="aTb-UQ-Xok" firstAttribute="height" secondItem="aKq-Sd-CTZ" secondAttribute="height" multiplier="589:812" id="6r3-D1-gfV"/>
                            <constraint firstItem="M3X-K8-PBZ" firstAttribute="height" secondItem="aKq-Sd-CTZ" secondAttribute="height" id="8dD-Vs-UUj"/>
                            <constraint firstItem="Uuo-B7-EAv" firstAttribute="top" secondItem="l0E-Ag-eAu" secondAttribute="top" id="G41-u3-wDV"/>
                            <constraint firstItem="pbj-F6-fcW" firstAttribute="width" secondItem="aKq-Sd-CTZ" secondAttribute="width" id="e3o-zo-ei5"/>
                            <constraint firstItem="Uuo-B7-EAv" firstAttribute="bottom" secondItem="l0E-Ag-eAu" secondAttribute="bottom" constant="34" id="fgb-oh-cTw"/>
                            <constraint firstItem="Uuo-B7-EAv" firstAttribute="leading" secondItem="l0E-Ag-eAu" secondAttribute="leading" id="gDh-RJ-gl3"/>
                            <constraint firstItem="l0E-Ag-eAu" firstAttribute="trailing" secondItem="Uuo-B7-EAv" secondAttribute="trailing" id="xiJ-ts-FBA"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="l0E-Ag-eAu"/>
                    </view>
                    <connections>
                        <outlet property="loginButton" destination="Yjg-Bt-vFC" id="39b-GK-aqq"/>
                        <outlet property="passwordField" destination="TVy-rO-4Ar" id="9mG-Hh-pjR"/>
                        <outlet property="scrollView" destination="Uuo-B7-EAv" id="usA-NX-L1C"/>
                        <outlet property="usernameField" destination="A1Q-FS-Dgu" id="1Cg-aa-5LA"/>
                        <segue destination="khH-2h-EgB" kind="show" identifier="login" id="QWH-pP-g2i"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Srh-su-Zgr" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2264.8000000000002" y="508.69565217391306"/>
        </scene>
        <!--Tab Bar Controller-->
        <scene sceneID="RpU-eS-FTj">
            <objects>
                <tabBarController automaticallyAdjustsScrollViewInsets="NO" id="khH-2h-EgB" sceneMemberID="viewController">
                    <toolbarItems/>
                    <tabBar key="tabBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="BeQ-BH-S2h">
                        <rect key="frame" x="0.0" y="0.0" width="1000" height="1000"/>
                        <autoresizingMask key="autoresizingMask"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <color key="tintColor" name="BlueColor"/>
                        <color key="barTintColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <color key="selectedImageTintColor" name="BlueColor"/>
                    </tabBar>
                    <connections>
                        <segue destination="UFH-4A-Sn3" kind="relationship" relationship="viewControllers" id="LZv-V6-88z"/>
                        <segue destination="2Qr-Nn-hES" kind="relationship" relationship="viewControllers" id="Sks-bA-mYi"/>
                        <segue destination="ZNJ-eb-YXj" kind="relationship" relationship="viewControllers" id="l4n-Eb-fcn"/>
                    </connections>
                </tabBarController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="C6M-lI-9uO" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="3156" y="158"/>
        </scene>
        <!--Catalog-->
        <scene sceneID="sa4-a8-aXF">
            <objects>
                <viewControllerPlaceholder storyboardName="Catalog" id="UFH-4A-Sn3" sceneMemberID="viewController">
                    <tabBarItem key="tabBarItem" title="Каталог" image="catalogue" id="EEI-e0-Yzw"/>
                </viewControllerPlaceholder>
                <placeholder placeholderIdentifier="IBFirstResponder" id="MGb-fU-LIw" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="4103" y="85"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="sSH-MG-aV9">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="B73-Qp-0NJ" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="3EF-R0-WP5">
                        <rect key="frame" x="0.0" y="20" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                        <color key="barTintColor" name="BackgroundColor"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="wFO-gS-OT6" kind="relationship" relationship="rootViewController" id="bNR-pS-VIj"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="XB3-5Z-GRf" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="188" y="158.12807881773401"/>
        </scene>
        <!--Profile-->
        <scene sceneID="r3P-0r-gYb">
            <objects>
                <viewControllerPlaceholder storyboardName="Profile" id="2Qr-Nn-hES" sceneMemberID="viewController">
                    <tabBarItem key="tabBarItem" title="Профиль" image="user" id="hho-Gt-eUZ"/>
                </viewControllerPlaceholder>
                <placeholder placeholderIdentifier="IBFirstResponder" id="09z-Fk-qV6" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="4098" y="157"/>
        </scene>
        <!--Basket-->
        <scene sceneID="lwI-xO-sTS">
            <objects>
                <viewControllerPlaceholder storyboardName="Basket" id="ZNJ-eb-YXj" sceneMemberID="viewController">
                    <tabBarItem key="tabBarItem" title="Корзина" image="stroke" id="eKk-U7-9Zg">
                        <color key="badgeColor" name="GreenColor"/>
                    </tabBarItem>
                </viewControllerPlaceholder>
                <placeholder placeholderIdentifier="IBFirstResponder" id="JxB-XF-Mrr" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="4094" y="228"/>
        </scene>
    </scenes>
    <resources>
        <image name="background" width="375" height="588"/>
        <image name="catalogue" width="30" height="30"/>
        <image name="credit card" width="313" height="426"/>
        <image name="email" width="20" height="13"/>
        <image name="lock" width="24" height="27"/>
        <image name="stroke" width="30" height="30"/>
        <image name="user" width="20" height="20"/>
        <namedColor name="BackgroundColor">
            <color red="0.94901960784313721" green="0.97647058823529409" blue="0.9882352941176471" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="BlueColor">
            <color red="0.54509803921568623" green="0.72549019607843135" blue="0.792156862745098" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="DarkTextColor">
            <color red="0.20000000000000001" green="0.35686274509803922" blue="0.40784313725490196" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="GreenColor">
            <color red="0.48627450980392156" green="0.93333333333333335" blue="0.50588235294117645" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="TextColor">
            <color red="0.33725490196078434" green="0.53333333333333333" blue="0.59999999999999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
    </resources>
    <inferredMetricsTieBreakers>
        <segue reference="QWH-pP-g2i"/>
    </inferredMetricsTieBreakers>
</document>
